Bug 166629 - SIGSEGV in __driGarbageCollectDrawables () - mga_dri.so
SIGSEGV in __driGarbageCollectDrawables () - mga_dri.so
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 21:09 EDT by Michael Schwendt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 06:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4317 None None None Never

  None (edit)
Description Michael Schwendt 2005-08-23 21:09:07 EDT
In search of ways on how to make Amarok (in Fedora Extras) crash,
I stumbled into this inside and outside of gdb, clicking into the
player window, switching through the GL based graphical analysers:

[...]
Program received signal SIGFPE, Arithmetic exception.
[Switching to Thread -1209018688 (LWP 3745)]
0x04bb1dfc in _mesa_test_os_sse_exception_support ()
   from /usr/X11R6/lib/modules/dri/mga_dri.so
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x04bba768 in __driGarbageCollectDrawables ()
   from /usr/X11R6/lib/modules/dri/mga_dri.so


$ rpm -qf /usr/X11R6/lib/modules/dri/mga_dri.so
xorg-x11-6.8.2-37

System is a fully up-to-date FC4.
Comment 1 Mike A. Harris 2005-08-30 06:22:04 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL for tracking.
Comment 2 Michael Schwendt 2005-08-31 03:20:35 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=4317
Comment 3 Mike A. Harris 2005-09-14 04:49:44 EDT
Thanks for the bug URL.  Setting status to "UPSTREAM" for tracking.

Note You need to log in before you can comment on or make changes to this bug.